CREATE TABLE CU_CUST_DIM
    (  CUST_KEY                        NUMBER      (0009)       NOT NULL
    ,  LEVEL_COL                       CHAR        (0010)       NOT NULL
    ,  DIM_CHAR_KY_FLD                 CHAR        (0030)       NOT NULL
    ,  CUST_CODE                       CHAR        (0006)       NOT NULL
    ,  CUST_NAME                       CHAR        (0030)       NOT NULL
    ,  CUST_ADDR_1                     CHAR        (0030)       NOT NULL
    ,  CUST_ADDR_2                     CHAR        (0030)       NOT NULL
    ,  CUST_PHONE                      CHAR        (0020)       NOT NULL
    ,  CUST_BIRTHDAY                   DATE                     NOT NULL
    ,  CUST_HOUSEHOLD                  NUMBER      (0004)       NOT NULL
    ,  CUST_GEOCODE                    NUMBER      (0004)       NOT NULL
    ,  CUST_SEX                        CHAR        (0001)       NOT NULL
    ,  CUST_KEY_AG1                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG2                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG3                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG4                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG5                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG6                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG7                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG8                    NUMBER      (0009)       NOT NULL
    ,  CUST_KEY_AG9                    NUMBER      (0009)       NOT NULL
    ,  CONSTRAINT PK_CU_CUST_DIM                   PRIMARY KEY
                 (  LEVEL_COL
                 ,  DIM_CHAR_KY_FLD
                 )
         USING INDEX TABLESPACE DWHIDX
    )
    TABLESPACE DWHTABDM
;
