CREATE TABLE CU_TIME_DIM
    (  TIME_KEY                        NUMBER      (0009)       NOT NULL
    ,  LEVEL_COL                       CHAR        (0010)       NOT NULL
    ,  DIM_CHAR_KY_FLD                 CHAR        (0030)       NOT NULL
    ,  DIM_DATE                        DATE                     NOT NULL
    ,  DAY_NO                          NUMBER      (0004)       NOT NULL
    ,  MONTH_NO                        NUMBER      (0004)       NOT NULL
    ,  QUARTER_NO                      NUMBER      (0004)       NOT NULL
    ,  YEAR_NO                         NUMBER      (0004)       NOT NULL
    ,  TIME_KEY_AG1                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG2                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG3                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG4                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG5                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG6                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG7                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG8                    NUMBER      (0009)       NOT NULL
    ,  TIME_KEY_AG9                    NUMBER      (0009)       NOT NULL
    ,  CONSTRAINT PK_CU_TIME_DIM                   PRIMARY KEY
                 (  LEVEL_COL
                 ,  DIM_CHAR_KY_FLD
                 )
         USING INDEX TABLESPACE DWHIDX
    )
    TABLESPACE DWHTABDM
;
